Bug 13969 - dnsProperty fails to decode values from older Windows versions
dnsProperty fails to decode values from older Windows versions
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: DNS server
4.10.4
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-05-24 16:44 UTC by Stefan Metzmacher
Modified: 2019-08-09 07:56 UTC (History)
2 users (show)

See Also:


Attachments
Patches for v4-9-test (32.36 KB, patch)
2019-07-02 07:42 UTC, Stefan Metzmacher
garming: review+
Details
Patches for v4-10-test (32.36 KB, patch)
2019-07-02 07:43 UTC, Stefan Metzmacher
garming: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2019-05-24 16:44:56 UTC
We fail to decode ZONE_MASTER_SERVERS, ZONE_MASTER_SERVERS_DA and DELETED_FROM_HOSTNAME properties in dnsProperty attribues on dnsZone objects.
Comment 1 Stefan Metzmacher 2019-07-02 07:42:36 UTC
Created attachment 15273 [details]
Patches for v4-9-test
Comment 2 Stefan Metzmacher 2019-07-02 07:43:08 UTC
Created attachment 15274 [details]
Patches for v4-10-test
Comment 3 Karolin Seeger 2019-08-06 08:07:40 UTC
Pushed to autobuild-v4-{10,9}-test.
Comment 4 Karolin Seeger 2019-08-09 07:56:11 UTC
(In reply to Karolin Seeger from comment #3)
Pushed to both branches.
Closing out bug report.

Thanks!